=== debian/changelog ===
deepin-sync-daemon (1.1.1+c1-1) unstable; urgency=low

  * ['Autobuild release-candidate: 06e51914ed3892670ad0bb3f94f85f37f7580d39']

 -- shuttle <shuttle@deepin.com>  Thu, 25 Jul 2019 19:45:22 +0000
