=== debian/control ===
Source: deepin-sync-daemon
Section: devel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), dh-golang, golang-go
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-sync-daemon
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends},dbus-x11
Built-Using: ${misc:Built-Using}
Description: Deepin sync daemon for user configurations
 Deepin sync daemon for network,appearance,dock,launcher.
